Skip to content

List SSH Keys

GET
/ssh_keys/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ssh_keys/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

List of SSH keys

Media typeapplication/json
object
code
integer
data
Array<object>
object
pk
integer
label
string
ssh_key
string
timestamp
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"pk": 2589,
"label": "ssh_key_name",
"ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx user@hostname",
"timestamp": "20-Mar-2026"
}
],
"errors": {},
"message": "Success"
}